Providers
List LLM providers
Retrieve all available Large Language Model providers.
GET /providers /llms
Bearersession
No parameters needed for GET /providers/llms. Press Run.
curl -X GET 'https://omnidim.io/api/v1/providers/llms' \ -H 'Authorization: Bearer YOUR_API_KEY'
Example response
{ "llms": [ { "id": 17, "name": "azure-gpt-4.1-mini", "provider_name": "azure", "is_premium": false, "service_type": "LLM", "is_active": true }, { "id": 8, "name": "gemini-2.5-flash", "provider_name": "google", "is_premium": false, "service_type": "LLM", "is_active": true } ], "total": 13 }
BearerAuthheader
AuthorizationBearer <token>Bearer token authentication. Obtain your API key from the OmniDimension dashboard.
Response body
application/jsonLLM providers.
application/jsonllms?total?integerWas this page helpful?
